Subject: Re: [PATCH] gitweb: Decode long title for link tooltips

From: Jakub Narebski <[email-masked]>
Date: Sun, 1 Oct 2006 23:49:04 +0200

Yasushi SHOJI wrote:
> At Sun, 01 Oct 2006 18:45:46 +0200,
> Jakub Narebski wrote:
> > 
> > Yasushi SHOJI wrote:
> > 
> > > This is a simple one liner to decode long title string in perl's
> > > internal form to utf-8 for link tooltips.
> > > 
> > > This is not crucial if the commit message is all in ASCII, however, if
> > > you decide to use other encoding, such as UTF-8, tooltips ain't
> > > readable any more.
> > 
> > Perhaps it would be better to abstract it away into esc_attr (as escape
> > attribute) subroutine, if such situation i.e. output of generated string
> > into some attribute of some element happens in some other place.
> 
> I liked the idea.  there were 7 places already.
> 
> I just couldn't get why you picked esc_attr for the name.  is there a
> patch for the func I missed?

To keep it in the style of names like esc_param (escaping the GET parameter
to be passed), esc_url (escaping URL to be put as argument of href attribute
of <link> or <a> element) and esc_html (escaping output). 

esc_attr is to escape ATTRibutes of elements, for example title attribute.
I'm not sure if CGI module does escaping for example of '"' in attributes...

> anyway, a patch for the abstruction is attached.  rename the func name
> if you don't like it.

Anyone can send patch renaming subroutines. to_utf8 is a good name... till
we allow non-utf8 encodings. And the name can be used for other places where
we do string decoding from Perl internal form to utf-8.

> # i don't know how to reply to an email and also attaching a patch
> # from git format-patch.  should I just submit the patch in a separate
> # email?

There are two formats used (check out Documentation/SubmittingPatches).

First used for short replies, or some comments which you don't want to have
in commit description (commit message) is to put additional text just right
after "---" separating commit message from the patch.

Second, used for example if reply is longer than commit message, or patch
is just an attachement/footnote to reply, is to put the reply above the
body of message generated by format patch, and separate it from the
patch for example by "-- >8 --". The idea is that committer can remove the
top part of email and apply the rest as is.
-- 
Jakub Narebski
Poland